AbstractOrthologueSet (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.homologene.AbstractOrthologueSet class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.homologene
Class AbstractOrthologueSet

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.bio.program.homologene.AbstractOrthologueSet

All Implemented Interfaces:
  OrthologueSet, Changeable

Direct Known Subclasses:
  SimpleOrthologueSet

    public abstract class AbstractOrthologueSet

extends AbstractChangeable
implements OrthologueSet

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.program.homologene.OrthologueSet
`OrthologueSet.Iterator`

Field Summary

Fields inherited from interface org.biojava.bio.program.homologene.OrthologueSet
`MODIFY`

Constructor Summary
`AbstractOrthologueSet()`

Method Summary
`OrthologueSet` | `filter(OrthologueFilter filter)` Filter the contents of a set.

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, getChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.biojava.bio.program.homologene.OrthologueSet
`addOrthologue, getOrthologue, iterator, removeOrthologue`

Constructor Detail

### AbstractOrthologueSet

    public AbstractOrthologueSet()

Method Detail

### filter

    public OrthologueSet filter(OrthologueFilter filter)

  Description copied from interface: `OrthologueSet`
  Filter the contents of a set.

  Specified by:
    `filter` in interface `OrthologueSet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD